- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CompositeImage

# NAME

composite - Merge image pixels using a specified algorithm

# SYNOPSIS

unsigned int CompositeImage( Image *canvas_image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

# FUNCTION DESCRIPTIONS

## CompositeImage

> CompositeImage() returns the second image ( composite_image ) composited onto the first ( canvas_image ) at the specified offsets.

The format of the CompositeImage method is:

> unsigned int CompositeImage ( Image *canvas_image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

A description of each parameter follows:

canvas_image:

  The image to be updated.

compose:

  This operator affects how the composite is applied to the image. The default is Over. Choose from one of these operators: OverCompositeOp, InCompositeOp, OutCompositeOP, AtopCompositeOP, XorCompositeOP, PlusCompositeOP, MinusCompositeOP, AddCompositeOP, SubtractCompositeOP, DifferenceCompositeOP, BumpmapCompositeOP, CopyCompositeOP, CopyRedCompositeOP, CopyGreenCompositeOP, CopyBlueCompositeOP, CopyOpacityCompositeOP.

composite_image:

  The composite image.

x_offset:

  The column offset of the composited image.

y_offset:

  The row offset of the composited image.